## plasma-widget-mail 0.2

=== CMakeLists.txt ===
# Project Needs a name ofcourse
project(mail_plasmoid)

# Find the required Libaries
find_package(KDE4 REQUIRED)
include(KDE4Defaults)

set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")
add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(
   ${CMAKE_SOURCE_DIR}
   ${CMAKE_BINARY_DIR}
   ${KDE4_INCLUDES}
   )

# We add our source code here
set(mail_plasmoid_SRCS thread.hpp plasmoid.cpp imap.cpp base_io.cpp pop.cpp)

# Now make sure all files get to the right place
kde4_add_ui_files(mail_plasmoid_SRCS untitled.ui)

kde4_add_plugin(plasma_applet_mail_plasmoid ${mail_plasmoid_SRCS})
target_link_libraries(plasma_applet_mail_plasmoid
                      ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS})

install(TARGETS plasma_applet_mail_plasmoid
        DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES plasma-applet-mail_plasmoid.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

install(FILES new_mail.wav
	DESTINATION ${SOUND_INSTALL_DIR})

install (FILES mail0.png mail1.png mail_error.png
	DESTINATION ${ICON_INSTALL_DIR})

## plasma-widget-mail 0.3.1

=== CMakeLists.txt ===
# Project Needs a name ofcourse
project(mail_plasmoid)

# Find the required Libaries
find_package(KDE4 REQUIRED)

include(KDE4Defaults)

set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")
add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(
   ${CMAKE_SOURCE_DIR}
   ${CMAKE_BINARY_DIR}
   ${KDE4_INCLUDES}
   )

# We add our source code here
set(mail_plasmoid_SRCS account_checker.cpp plasmoid.cpp imap.cpp base_io.cpp pop.cpp)

# Now make sure all files get to the right place
kde4_add_ui_files(mail_plasmoid_SRCS untitled.ui)

kde4_add_plugin(plasma_applet_mail_plasmoid ${mail_plasmoid_SRCS})
target_link_libraries(plasma_applet_mail_plasmoid
                      ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_KNOTIFYCONFIG_LIBS} gnutls)

install(TARGETS plasma_applet_mail_plasmoid
        DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES plasma-applet-mail_plasmoid.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

install(FILES no_mail.svg new_mail_img.svg mail_error.svg
		DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/default/widgets/)

install(FILES mail_plasmoid.notifyrc DESTINATION ${DATA_INSTALL_DIR}/mail_plasmoid)

=== debian/changelog ===
plasma-widget-mail (0.3.1-0ubuntu7) quantal; urgency=low

  * Rebuild for transtion to boost1.49, now depend on libboost-dev.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 24 Aug 2012 21:07:44 +0100

plasma-widget-mail (0.3.1-0ubuntu6) oneiric; urgency=low

  * Rebuild for transition to boost1.46

 -- Scott Kitterman <scott@kitterman.com>  Fri, 05 Aug 2011 19:09:57 -0400

plasma-widget-mail (0.3.1-0ubuntu5) maverick; urgency=low

  * Add a build-dep on cmake since kdelibs5-dev no longer depends on it
  * Switch to source format 3.0 (quilt):
    - Bump debhelper build-depend to 7.3.16 or greater
    - Remove quilt built-depend
  * Remove the libqt4-dev build-depend that resulted from the BIC in qt4-x11
    during the last prerelease cycle
  * Bump boost build-depend to boost 1.42
  * Bump Standards-Version to 3.8.4, no changes required

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 19 May 2010 10:30:07 -0400

plasma-widget-mail (0.3.1-0ubuntu4) lucid; urgency=low

  * Build with boost 1.40

 -- Michał Zając <michal.zajac@gmail.com>  Thu, 17 Dec 2009 17:12:01 +0100

plasma-widget-mail (0.3.1-0ubuntu3) lucid; urgency=low

  * Add missing epoch to Qt build-depends version

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 25 Nov 2009 13:47:06 +0000

plasma-widget-mail (0.3.1-0ubuntu2) lucid; urgency=low

  * Rebuild against Qt 4.6 rc 1, which is binary incompatible with 4.6
    beta

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 24 Nov 2009 10:14:13 -0500

plasma-widget-mail (0.3.1-0ubuntu1) lucid; urgency=low

  * New upstream release:
    - Add build-depend on libboost1.38-dev
    - Add build-depend on libgnutls-dev
  * Transition from kde.mk to dh --with-kde:
    - debian/compat: Bump compat version to 7
    - debian/control: Bump debhelper depend version to 7
    - debian/control: Remove cdbs build-dependency
    - debian/rules: Build with the dh7 kde addon
  * Make the binary package depend on ${misc:Depends} for lintian happiness
  * Bump Standards-Version to 3.8.3
  * Update maintainer to be the Ubuntu Developers
  * Polish package description
  * Add kubuntu_01_gcc_4.4_compat.diff to fix FTBFS with GCC 4.4 by including
    the <cstdio> headers

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 15 Nov 2009 21:18:05 -0500

plasma-widget-mail (0.2-0ubuntu2) karmic; urgency=low

  * Transition from libplasma-dev to kdelibs5-dev
    - debian/control: change libplasma-dev to kdelibs5-dev
  * Transition from kde4.mk to pkg-kde-tools
    - debian/rules: Change '/usr/share/cdbs/1/class/kde4.mk' to
     '/usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk'
    - debian/control: Build-Depend on 'pkg-kde-tools'
  * Drop cmake from build-deps
  * Bump Standards-Version to 3.8.1 

 -- Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>  Sat, 23 May 2009 04:34:34 +0200

plasma-widget-mail (0.2-0ubuntu1) jaunty; urgency=low

  * Initial release (LP: #326419)

 -- Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>  Sat, 07 Feb 2009 02:45:07 +0100

=== debian/control ===
Source: plasma-widget-mail
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>
Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), cmake,
 kdelibs5-dev, libboost-dev, libgnutls-dev
Standards-Version: 3.8.4
Homepage: http://kde-look.org/content/show.php/mail_plasmoid?content=98952

Package: plasma-widget-mail
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: a Plasma widget that checks for new mail
 This simple Plasma widget checks your inbox for new mail. It supports
 both imap and pop3 mail accounts.
